1000 REMark  boot : initial boot program to put ARCHIVE on disk
1010 REMark It then deletes itself and copies boot_real_bas to boot on disk
1020 :
1030 OPEN #1,con_512x256a0x0 : OPEN #2,con_512x206a0x0
1040 LET sys$="DBTutor" : LET hd$ = "INITIAL BOOT FOR "&sys$&" DISK" : LET scn=0
1050 REPeat loop
1060   heading
1070   PRINT \" This initial boot program for ";sys$;" provides basic information about the "
1080   PRINT " ";sys$;" Disk and will make a new boot program to start up ARCHIVE directly from"
1090   PRINT " the ";sys$;" Disk, if desired."
1100   PRINT \" Use QUILL and load ";sys$;"_DOC for detailed information about using ";sys$
1120   PRINT \;" PSION's ARCHIVE Database System is the most powerful general Database"
1130   PRINT " System available for the QL/THOR. It is a multifile relational-type database"
1140   PRINT " with variable length fields/records and an extensive programming language."
1150   PRINT " DBTutor is a general purpose learning tool that takes advantage of ARCHIVE's"
1160   PRINT " information handling power to provide the user with a powerful way to learn"
1170   PRINT " any subject. The information set up in DBTutor can be presented for drilling"
1180   PRINT " on screen in many different ways plus many different printouts can be made."
1190   PRINT " No knowledge of ARCHIVE is necessary to create and use DBTutor databases."
1200   wait
1210   heading
1220   PRINT \" ";sys$;" must be run within PSION's ARCHIVE (QLDB) Database Program. This means"
1230   PRINT " that ARCHIVE(QLDB) must be started before DBEasy is run. DBEasy works with all"
1240   PRINT " version (2.1-2.38) of ARCHIVE and with EXCHANGE ARCHIVE. Probably all QL users"
1250   PRINT " have version 2.1 of ARCHIVE as it was supplied with the computer. ";sys$;" works"
1260   PRINT " better with version 2.38. The EXCHANGE version of ARCHIVE has a complication -"
1270   PRINT " ";sys$;" modules ending in _pro will not load as they are. See the DOC file"
1280   PRINT " for instructions on making a new _pro modules which will load."
1290   PRINT \" Many users already have a way they wish to start up ARCHIVE as with TASKMASTER"
1300   PRINT " or EXCHANGE or TASKFORCE. They will only need to have the ";sys$;" Disk in FLP1_"
1310   PRINT " and from within ARCHIVE type : run 'flp1_";sys$;"'<ENTER>. When multitasking ARCHIVE"
1320   PRINT " should be given 200k more or less to run ";sys$;". Others may find it more"
1330   PRINT " convenient to boot up ARCHIVE from the ";sys$;" disk. In order to do that your"
1340   PRINT " copy of ARCHIVE(QLDB) must be put on the ";sys$;" disk and this boot program will"
1350   PRINT " be replaced with a different one that boots ARCHIVE. Also you will probably"
1360   PRINT " want a copy of your PRINTER_DAT file on the ";sys$;" disk. If you have set up"
1370   PRINT " one for QUILL or ABACUS or ARCHIVE you can use it."
1380   wait : heading
1390   PRINT \"Change the ";sys$;" disk to boot ARCHIVE"
1400   PRINT \" You now have the option of putting your copy of ARCHIVE on the ";sys$;" disk"
1410 PRINT " if you want to be able to boot ARCHIVE from it. You should be working with a"
1420   PRINT " copy of your master ";sys$;" disk. If not or you don't wish to boot ARCHIVE"
1430   PRINT " from the ";sys$;" disk then don't continue below."
1440   PRINT \" We will copy your ARCHIVE(QLDB) to the ";sys$;" Disk and this boot program"
1450   PRINT " will be replaced with the real ";sys$;" boot program (boot_real_bas) which sets"
1460   PRINT " the date/time and boots up ARCHIVE. Your copy of ARCHIVE expects to find a printer"
1470   PRINT " driver file (PRINTER_DAT) on a particular device (MDV1_ originally) with specific"
1480   PRINT " information about printing to your printer. PSION supplies a SUPERBASIC program"
1490   PRINT " CONFIG_BAS to change where your copy of ARCHIVE(QLDB) expects PRINTER_DAT "
1500   PRINT " to be (you can make it FLP1_). Unfortunately CONFIG_BAS only changes copies of"
1510   PRINT " ARCHIVE(QLDB) if they are on MDV1_ or MDV2_. This means you have to alter your"
1520   PRINT " copy of ARCHIVE(QLDB) on microdrive before you transfer it to the ";sys$;" disk."
1530   PRINT \;"Continue [y/n] : ";
1540   INPUT ans$ : IF ans$<>"y" AND ans$<>"Y" : EXIT loop : END IF 
1550   CLS : PRINT "                 SETTING UP YOUR ";sys$;" DISK FOR ARCHIVE BOOT"
1560   PRINT \" Have your ";sys$;" disk in FLP1_ and your copy of ARCHIVE(QLDB) in another device"
1570   REPeat device
1580     AT 4,0 : PRINT " ARCHIVE(QLDB) on which Device [mdv1_,flp2_,ram1_,etc] : ";
1590     INPUT dv$ : IF LEN(dv$)=5 : IF dv$(5)="_" : EXIT device : END IF : END IF 
1600     IF dv$="" : EXIT device : END IF 
1610    END REPeat device
1620   IF dv$="" : EXIT loop : END IF 
1630   CLS : DIR dv$
1640   AT 24,0 : PRINT "  Complete name of ARCHIVE program on ";dv$;" [archive,qldb,etc] : ";
1650   INPUT s$ : IF s$="" : EXIT loop : END IF 
1660   CLS : PRINT "SETTING UP YOUR ";sys$;" DISK FOR ARCHIVE BOOT"
1670   PRINT \"  Copy ";dv$;s$;" to FLP1_ARCHIVE now [y/n] : ";
1680   INPUT ans$
1690   IF ans$=="y"
1700     PRINT \" {Copying ";dv$;s$;" to flp1_ARCHIVE}"
1710     COPY dv$&s$ TO flp1_ARCHIVE
1720     PRINT " {Deleting this program : flp1_boot}"
1730     DELETE flp1_boot
1740     PRINT " {Copying flp1_boot_real_bas to flp1_boot}"
1750     COPY flp1_boot_real_bas TO flp1_boot
1760     PRINT \"ARCHIVE will now boot from ";sys$;" disk"
1770     PRINT \"  Copy PRINTER_DAT from ";dv$;" to flp1_ also [y/n] : ";
1780     INPUT ans$
1790     IF ans$=="y"
1800       PRINT \" {Copying PRINTER_DAT file if it exists on ";dv$;" to flp1_}"
1810       COPY dv$&"printer_dat" TO flp1_printer_dat
1820      END IF 
1830     LRUN flp1_boot
1840    END IF 
1850  END REPeat loop
1860  CLS : PRINT \"Nothing Done. Run again if desired."
1870  PRINT \"Start your bootable ARCHIVE(QLDB) so you can try ";sys$;" [y/n] : ";
1880  INPUT ans$
1890  IF ans$=="y"
1900    PRINT \"After ARCHIVE(QLDB)loads have DBEasy disk in flp1_ and type :"
1910    PRINT \'   run "flp1_DBEasy"<ENTER>'
1920    PRINT \\"Boot from [mdv1_,flp1_,etc] : ";
1930    INPUT ans$
1940      IF LEN(ans$)=5
1950        PRINT \"{booting ";ans$;"boot}"
1960        LRUN ans$&"boot"
1970       END IF 
1980     END IF 
1990  CLS : PRINT \"Nothing Done. Run again if desired."
2000 :
2010 DEFine PROCedure heading
2020   CLS #0 : CLS #1 : LET scn=scn+1
2030   CSIZE 2,1 : AT 0,5 : PRINT hd$ : CSIZE 0,0
2040   PRINT \sys$;" : A general purpose learning program for PSION's ARCHIVE(QLDB)    Screen ";scn
2050  END DEFine heading
2060 :
2070 DEFine PROCedure wait
2080   AT 24,1 : PRINT "Press <ENTER> to continue : "; : INPUT i$
2090  END DEFine wait
